> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Grant For New Hire

> Creates a person, role and token grant with vesting schedule for a new hire in one call.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /platform/create-grant-for-new-hire
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/create-grant-for-new-hire:
    post:
      operationId: createGrantForNewHire
      summary: Create Grant For New Hire
      description: >-
        Creates a person, role and token grant with vesting schedule for a new
        hire in one call.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGrantForNewHireRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateGrantForNewHireResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateGrantForNewHireRequest:
      type: object
      properties:
        tokenTypeID:
          type:
            - string
            - 'null'
          format: uuid
        pricePerUnit:
          type: string
          format: decimal
          pattern: ^-?[0-9]+(\.[0-9]+)?$
        email:
          type: string
        givenName:
          type: string
        familyName:
          type: string
        employmentType:
          oneOf:
            - $ref: '#/components/schemas/NewHireEmploymentType'
            - type: 'null'
        grantName:
          type: string
        grantDescription:
          type: string
        grantConfigurationID:
          type: string
        grantAmount:
          type: number
        vestingStartDate:
          type: string
          format: date-time
        vestingFrequencyType:
          type: string
          enum:
            - MONTHLY
            - QUARTERLY
            - SEMIANNUALLY
            - YEARLY
            - CUSTOM
            - DAILY
            - WEEKLY
        vestingCliffPercentage:
          type: number
        vestingCliffPeriods:
          type: number
        vestingPeriods:
          type: number
        lockup:
          type: number
        isSection83bElectionEligible:
          type:
            - boolean
            - 'null'
        offPlatformDate:
          type:
            - string
            - 'null'
          format: date-time
        tags:
          type: array
          items:
            type: string
      required:
        - email
        - givenName
        - familyName
        - grantName
        - grantDescription
        - grantConfigurationID
        - grantAmount
        - vestingStartDate
        - vestingFrequencyType
        - vestingCliffPercentage
        - vestingCliffPeriods
        - vestingPeriods
        - lockup
        - tags
    NewHireEmploymentType:
      type: string
      enum:
        - CONTRACTOR
        - EMPLOYEE
        - EX_EMPLOYEE
        - ADVISOR
        - SERVICE_PROVIDER
        - OTHER
    CreateGrantForNewHireResponse:
      type: object
      properties:
        grantID:
          type: string
      required:
        - grantID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
